brace-expansion vulnerabilities

Brace expansion as known from sh/bash

Direct Vulnerabilities

Known vulnerabilities in the brace-expansion package. This does not include vulnerabilities belonging to this package’s dependencies.

Automatically find and fix vulnerabilities affecting your projects. Snyk scans for vulnerabilities and provides fixes for free.
Fix for free
Vulnerability Vulnerable Version
  • M
Regular Expression Denial of Service (ReDoS)

<1.1.7

Package versions

1 - 18 of 18 Results
version published direct vulnerabilities
3.0.0 7 Oct, 2023
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.0.1 22 Feb, 2021
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
2.0.0 5 Oct, 2020
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.1.11 10 Feb, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.1.10 9 Feb, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.1.9 9 Feb, 2018
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.1.8 12 Jun, 2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.1.7 7 Apr, 2017
  • 0
    C
  • 0
    H
  • 0
    M
  • 0
    L
1.1.6 20 Jul, 2016
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.1.5 15 Jun, 2016
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.1.4 1 May, 2016
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.1.3 11 Feb, 2016
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.1.2 28 Nov, 2015
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.1.1 27 Sep, 2015
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.1.0 16 Dec, 2014
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.0.1 3 Dec, 2014
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
1.0.0 30 Nov, 2014
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L
0.0.0 13 Oct, 2013
  • 0
    C
  • 0
    H
  • 1
    M
  • 0
    L